org.apache.flume.channel.file

## Class NoopRecordException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.flume.channel.file.NoopRecordException

- All Implemented Interfaces:
    Serializable

      public class NoopRecordException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopRecordException()`
    `NoopRecordException(String msg)`
    `NoopRecordException(String msg, Throwable th)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopRecordException

          public NoopRecordException()

    - #### NoopRecordException

          public NoopRecordException(String msg)

    - #### NoopRecordException

          public NoopRecordException(String msg,
                             Throwable th)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.